---
title: "Getting help"
slug: "getting-help"
excerpt: "How to engage with the Pants community."
hidden: false
createdAt: "2020-03-23T21:37:03.235Z"
updatedAt: "2022-02-03T23:16:37.806Z"
---
The [Pants community](doc:the-pants-community) is friendly, welcoming, and passionate about improving the craft of software engineering. If you need help with anything Pants-related, you've come to the right place.  We'd love to hear from you!

Slack
-----

The best place to get help is the Pants project's Slack workspace. You can join using [this link](https://docs.google.com/forms/d/e/1FAIpQLSf9zgf-MXRnVDJbrVEST3urqneq7LCcy0zw8qU-GH4hPMn52A/viewform?usp=sf_link).

We encourage you to introduce yourself in `#welcome`. You can use `#general` to ask questions or to share feedback.

Blog
----

Read [blog.pantsbuild.org](https://blog.pantsbuild.org/) to find elaboration on new features, tutorials, reveals of upcoming features, insights into what we're thinking about and working on, and behind-the-scenes interviews with Pants users and maintainers.

Newsletter
----------

The [Pants Build Open Source Community Newsletter](https://newsletter.pantsbuild.org/) is published 1-2 times per month. It offers a quick roundup of what's new in Pants and the extended community.

[block:html]
{
  "html": "<div id=\"revue-embed\">\n  <form action=\"http://newsletter.pantsbuild.org/add_subscriber\" method=\"post\" id=\"revue-form\" name=\"revue-form\"  target=\"_blank\">\n  <div class=\"revue-form-group\">\n    <label for=\"member_email\">Email address</label>\n    <input class=\"revue-form-field\" placeholder=\"Your email address...\" type=\"email\" name=\"member[email]\" id=\"member_email\">\n  </div>\n  <div class=\"revue-form-group\">\n    <label for=\"member_first_name\">First name <span class=\"optional\">(Optional)</span></label>\n    <input class=\"revue-form-field\" placeholder=\"First name... (Optional)\" type=\"text\" name=\"member[first_name]\" id=\"member_first_name\">\n  </div>\n  <div class=\"revue-form-group\">\n    <label for=\"member_last_name\">Last name <span class=\"optional\">(Optional)</span></label>\n    <input class=\"revue-form-field\" placeholder=\"Last name... (Optional)\" type=\"text\" name=\"member[last_name]\" id=\"member_last_name\">\n  </div>\n  <div class=\"revue-form-actions\">\n    <input type=\"submit\" value=\"Subscribe\" name=\"member[subscribe]\" id=\"member_submit\">\n  </div>\n  <div class=\"revue-form-footer\">By subscribing, you agree with Revue’s <a target=\"_blank\" href=\"https://www.getrevue.co/terms\">Terms of Service</a> and <a target=\"_blank\" href=\"https://www.getrevue.co/privacy\">Privacy Policy</a>.</div>\n  </form>\n</div>"
}
[/block]

Mailing list
------------

You can join the `pants-devel@googlegroups.com` mailing list [here](https://groups.google.com/forum/#!forum/pants-devel). This is used mostly for announcements and for us to solicit user feedback.

GitHub
------

Pants is an open-source software project, developed at [\<https://github.com/pantsbuild/pants>](https://github.com/pantsbuild/pants).

If you discover a bug with Pants or have a feature request, feel free to [file an issue](https://github.com/pantsbuild/pants/issues). Please check first if a similar issue has already been filed; if it has, please comment so that we know to bump the issue in priority.

YouTube
-------

We also have a [Pants Build YouTube channel](https://www.youtube.com/channel/UCCcfCbDqtqlCkFEuENsHlbQ) with a variety of concise tutorials, introductions to core concepts, and tips. Subscribe to the channel to get notified of additions.

Have an idea or request for a future video topic? Bring it up on the Slack! We'd love to know what you're wondering about.

About us
--------

[Learn more](doc:the-pants-community) about the Pants community.
